Create a ensemble role
Body·
required
application/json
Fields accepted when creating a ensemble role. Unknown or read-only fields are rejected.
- Type: string | nullFormat: uuidensemble
_id requiredReferences ensembles.id.
- Type: string | nullFormat: uuidrole
_id requiredReferences roles.id.
- Type: string | nullname
- Type: number | nullorder
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/ensemble-roles
curl https://api.hireorpheus.com/api/v1/ensemble-roles \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"name": null,
"ensemble_id": null,
"role_id": null,
"order": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": null,
"ensemble_id": null,
"role_id": null,
"order": null,
"created_time": "2026-10-14T08:02:53.592Z",
"last_edited_time": "2026-10-14T08:02:53.592Z"
}
}